//-------------------------------------------------------------
// PLATFORM.H
// Defines the platform the code is running on.
//
// This header is used for all platform specific code.  The code is designed so
// that by uncommenting the platform you are compiling for all platform specific
// code for that platform is enabled.
// -----------------------------------------------------------

#ifndef __PLATFORM_HEADER_FILE__
#define __PLATFORM_HEADER_FILE__

//#define __ONIX_MACINTOSH__
//#define __ONIX_WINDOWS__
//#define __ONIX_WINDOWS_DLL__
//#define __ONIX_BORLAND__
//#define __ONIX_MICROSOFT__
//#define __ONIX_BEOS__
#define __ONIX_LINUX32__
//#define __ONIX_SOLARIS__

//#define _MSDOS_
#ifdef __ONIX_WINDOWS__
	#define __ONIX_WIN16__
	//#define __ONIX_WIN32__
#endif

#define __ONIX_STANDARD_VERSION__

// Set platform specific settings.
#ifdef __ONIX_WINDOWS__
#define __ONIX_LITTLE_ENDIAN
#endif

#ifdef __ONIX_LINUX32__
#define __ONIX_LITTLE_ENDIAN
#endif


#ifdef __ONIX_BEOS__
#define __ONIX_LITTLE_ENDIAN
#endif

#ifdef __ONIX_MACINTOSH__
#define __ONIX_BIG_ENDIAN
#endif

#endif
